/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package timer0000;
import java.io.IOException;
import java.io.InputStream;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import java.util.Timer;
import java.util.TimerTask;
import javax.microedition.media.Manager;
import javax.microedition.media.MediaException;
import javax.microedition.media.Player;
import javax.microedition.media.control.VolumeControl;
 
public class SchedulerExample extends MIDlet {
private Display display;
Form F0=new Form("Hello World 111111");
Form F1=new Form("Hello World 222222");
public SchedulerExample() {
        display = Display.getDisplay(this); 
    }
public void playWav0000() {
try{
InputStream is= getClass().getResourceAsStream("test.wav");
Player player= Manager.createPlayer(is,"audio/X-wav");
player.start();
}
catch(IOException ioe){
}
catch(MediaException me){
}
    }
    
 
    public void startApp() {
        // Создание и запуск задачи по расписанию
        Timer timer = new Timer();
        timer.schedule(new ScheduledTask(), 3000); // Выполнить через 3 секунды (измените время по необходимости)
         
        
       // SchedulerExample.this.notifyDestroyed();
    }
 
    public void pauseApp() {
    //playWav0000();
    //display.setCurrent(F1);
    //System.out.println("Player0001");
    }
 
    public void destroyApp(boolean unconditional) {}
 
    // Класс задачи, которая будет выполнена по расписанию
    class ScheduledTask extends TimerTask {
        public void run() {
            // Здесь можно вставить код для вызова звонка или других действий по расписанию
            // Например:
            // initiateCall(); // Начать звонок
            // sendNotification(); // Отправить уведомление
            //playMP3();
            //SchedulerExample.this.notifyDestroyed();
           // playMP3();
         
            playWav0000();
            display.setCurrent(F0);
            System.out.println("Player0000");
            // По окончанию выполнения задачи можно закрыть приложение
        //   SchedulerExample.this.notifyDestroyed();
            
        }
    }
}